<?php
/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * @hooked wc_empty_cart_message - 10
 */
/* this action need to be removed if Saved for later is in use otehrwise the save for later list will show twice*/
if (!class_exists('YITH_WC_Save_For_Later')) {
do_action( 'woocommerce_cart_is_empty' );
}
?>

<div class="cart-empty col-sm-12">


    <div class="empty-img"><img src="<?php echo get_template_directory_uri() ?>/images/cart-empty.png" /></div>

    <div class="empty-message"><h2><?php _e( 'Your shopping cart is currently empty', 'yit' ) ?></h2></div>

    <?php do_action( 'woocommerce_cart_is_empty' ); ?>

    <div class="empty-button">
        <p>
            <a class="btn btn-flat" href="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>"><?php _e( 'Start To Shop', 'yit' ) ?></a>
        </p>
    </div>


    <?php echo do_shortcode('[products_slider per_page="12" hide_free="no" show_hidden="no" animation_delay="0" category="null" layout="default" product_type="all" orderby="rand" order="desc" autoplay="true" animate="" ]')?>

</div>